System.ServiceModel 4.0.0.0 System.Object

Use the methods and properties to create system-provided bindings to support WS-Transfer GET metadata exchanges. For more information and examples, see How to: Publish Metadata for a Service Using a Configuration File.

See the individual members for details about the composition of the bindings they return.

Used to create system-provided bindings for WS-Transfer metadata exchange using the contract.

- Method
  4.0.0.0
  System.ServiceModel.Channels.Binding

  Use the method to return a binding that supports most metadata requests.

  Returns a with security disabled.

  A with security disabled.

- Method
  4.0.0.0
  System.ServiceModel.Channels.Binding

  Use the method to return a binding that can be secured at the transport level using certificates. For more information about configuring and using such a metadata endpoint, see How to: Configure a Custom WS-Metadata Exchange Binding, How to: Retrieve Metadata Over a Custom Binding, and the sample Custom Secure Metadata Endpoint.

  Returns a that supports transport-level security.

  A that supports transport-level security.

- Method
  4.0.0.0
  System.ServiceModel.Channels.Binding To be added.

  Returns a with a .

  A with a .

- Method
  4.0.0.0
  System.ServiceModel.Channels.Binding To be added.

  Returns a with a .

  A with a .